{
  programs = {
    ssh.enable = true;
    
    go = {
      enable = true;
      goPath = ".local/go";
    };

    git = {
      enable = true;
      userName = "Sense T";
      userEmail = "me@sense-t.eu.org";

      ignores = [
        ".DS_Store"
        "*~"
        "*.swp"
      ];
    };

    vim = {
      enable = true;
      defaultEditor = true;
    };

    zsh = {
      enable = true;
      enableAutosuggestions = true;
      syntaxHighlighting.enable = true;
      enableVteIntegration = true;

      oh-my-zsh = {
        enable = true;
        plugins = [ "sudo" "git" "golang" "thefuck" "kubectl" "pip" "npm" "yarn" "vscode" ];
        theme = "fishy";
      };

      profileExtra = ''
        # added by Nix installer
        if [ -e /home/coder/.nix-profile/etc/profile.d/nix.sh ]; then
          . /home/coder/.nix-profile/etc/profile.d/nix.sh
        fi 
      '';
    };
  };
}
